from flask import Blueprint, request, current_app
from flask import json
from flask.json import jsonify
from .model import Sales

app = Blueprint('sales', __name__, url_prefix='/api/sales')

## /api/sales に GET リクエストでアクセスしたときに呼ばれる.
@app.route('/',methods=['GET'])
def get_sales():
  response = Sales.get_sales()
  return jsonify(response)
  
## /api/sales に POST リクエストでアクセスしたときに呼ばれる.
@app.route('/',methods=['POST'])
def add_sale():
  req = request.json
  item_id = int(req['item_id'])
  res = { 'result' : 'failure' }
  if True == Sales.add_sale(item_id):
    res['result'] = 'success'

  return jsonify(res)
