from flask import Blueprint, request, current_app
from flask import json
from flask.json import jsonify
from .model import Sales, Sensors

app = Blueprint('sensors', __name__, url_prefix='/api/')

## /api/sensors に GET リクエストでアクセスしたときに呼ばれる.
@app.route('/temperature/', methods=['GET'])
def get_temp():
  response = Sensors.get_temperatures()
  return jsonify(response)

## /api/sensors に POST リクエストでアクセスしたときに呼ばれる.
@app.route('/temperature/', methods=['POST'])
def post_temp():
  req = request.json
  temperature = int(req['temperature'])
  res = { 'result' : 'failure' }

  if True == Sensors.add_temperature(temperature):
    res['result'] = 'success'
  return jsonify(res)
